SystemOrganization addCategory: #ConfigurationOfVisuAule!

Object subclass: #ConfigurationOfVisuAule
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfVisuAule'!

!ConfigurationOfVisuAule class methodsFor: 'development support' stamp: 'AlexandreBergel 7/6/2012 11:51'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfVisuAule class methodsFor: 'private' stamp: 'AlexandreBergel 7/6/2012 11:51'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfVisuAule class methodsFor: 'private' stamp: 'AlexandreBergel 7/6/2012 11:51'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfVisuAule class methodsFor: 'private' stamp: 'AlexandreBergel 7/6/2012 11:51'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfVisuAule class methodsFor: 'metacello tool support' stamp: 'AlexandreBergel 7/6/2012 11:51'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfVisuAule class methodsFor: 'loading' stamp: 'AlexandreBergel 7/6/2012 11:51'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfVisuAule class methodsFor: 'loading' stamp: 'AlexandreBergel 7/6/2012 11:51'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfVisuAule class methodsFor: 'loading' stamp: 'AlexandreBergel 7/6/2012 11:51'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfVisuAule class methodsFor: 'accessing' stamp: 'AlexandreBergel 7/6/2012 11:51'!
project

	^self new project! !

!ConfigurationOfVisuAule class methodsFor: 'development support' stamp: 'AlexandreBergel 7/6/2012 11:51'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfVisuAule methodsFor: 'baselines' stamp: 'AlexandreBergel 7/6/2012 11:51'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/VisuAule'.
		spec project: 'ConfigurationOfRoassal' with: [
				spec
					className: 'ConfigurationOfRoassal';
					versionString: #'development';
					repository: 'http://www.squeaksource.com/Roassal' ].
		spec package: 'VisuAule'.
		spec group: 'default' with: #('VisuAule' ). ].
! !

!ConfigurationOfVisuAule methodsFor: 'symbolic versions' stamp: 'CamiloGomez 7/20/2012 17:55'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.10'.
! !

!ConfigurationOfVisuAule methodsFor: 'accessing' stamp: 'AlexandreBergel 7/6/2012 11:51'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfVisuAule methodsFor: 'versions' stamp: 'CamiloGomez 7/20/2012 17:55'!
version010: spec
	<version: '0.10' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.81 : fixed some troubles with OrdCollection'.
		spec author: 'CamiloGomez'.
		spec timestamp: '7/20/2012 17:55'.
		spec project: 'ConfigurationOfRoassal' with: '1.64'.
		spec package: 'VisuAule' with: 'VisuAule-CamiloGomez.15'. ].
! !

!ConfigurationOfVisuAule methodsFor: 'versions' stamp: 'AlexandreBergel 7/6/2012 11:51'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.1 : first shoot!!'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/6/2012 11:51'.
		spec project: 'ConfigurationOfRoassal' with: #'stable'.
		spec package: 'VisuAule' with: 'VisuAule-CamiloGomez.4'. ].
! !

!ConfigurationOfVisuAule methodsFor: 'versions' stamp: 'AlexandreBergel 7/6/2012 11:56'!
version02: spec
	<version: '0.2' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.1 : first shoot!!
0.2 : minor fixes'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '7/6/2012 11:56'.
		spec project: 'ConfigurationOfRoassal' with: '1.56'.
		spec package: 'VisuAule' with: 'VisuAule-AlexandreBergel.5'. ].
! !

!ConfigurationOfVisuAule methodsFor: 'versions' stamp: 'CamiloGomez 7/6/2012 18:35'!
version03: spec
	<version: '0.3' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.2 : minor fixes
0.3 : Added new objects and visualize different tools'.
		spec author: 'CamiloGomez'.
		spec timestamp: '7/6/2012 18:35'.
		spec project: 'ConfigurationOfRoassal' with: '1.56'.
		spec package: 'VisuAule' with: 'VisuAule-CamiloGomez.9'. ].
! !

!ConfigurationOfVisuAule methodsFor: 'versions' stamp: 'CamiloGomez 7/6/2012 18:39'!
version04: spec
	<version: '0.4' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.3 : Added new objects and visualize different tools
0.4 : Tests fixed'.
		spec author: 'CamiloGomez'.
		spec timestamp: '7/6/2012 18:39'.
		spec project: 'ConfigurationOfRoassal' with: '1.45'.
		spec package: 'VisuAule' with: 'VisuAule-CamiloGomez.10'. ].
! !

!ConfigurationOfVisuAule methodsFor: 'versions' stamp: 'CamiloGomez 7/9/2012 17:45'!
version05: spec
	<version: '0.5' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.4 : Tests fixed
0.5 : Fixed a bit Browser new visualize'.
		spec author: 'CamiloGomez'.
		spec timestamp: '7/9/2012 17:45'.
		spec project: 'ConfigurationOfRoassal' with: '1.45'.
		spec package: 'VisuAule' with: 'VisuAule-CamiloGomez.11'. ].
! !

!ConfigurationOfVisuAule methodsFor: 'versions' stamp: 'CamiloGomez 7/13/2012 18:04'!
version06: spec
	<version: '0.6' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.5 : Fixed a bit Browser new visualize
0.6 : Attributes shown better.'.
		spec author: 'CamiloGomez'.
		spec timestamp: '7/13/2012 18:04'.
		spec project: 'ConfigurationOfRoassal' with: '1.45'.
		spec package: 'VisuAule' with: 'VisuAule-CamiloGomez.12'. ].
! !

!ConfigurationOfVisuAule methodsFor: 'versions' stamp: 'CamiloGomez 7/17/2012 18:03'!
version07: spec
	<version: '0.7' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.6 : Attributes shown better.
0.7 : elements added better.'.
		spec author: 'CamiloGomez'.
		spec timestamp: '7/17/2012 18:03'.
		spec project: 'ConfigurationOfRoassal' with: '1.45'.
		spec package: 'VisuAule' with: 'VisuAule-CamiloGomez.13'. ].
! !

!ConfigurationOfVisuAule methodsFor: 'versions' stamp: 'CamiloGomez 7/18/2012 18:34'!
version08: spec
	<version: '0.8' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.7 : elements added better.
0.8 : fixed display of otherElements'.
		spec author: 'CamiloGomez'.
		spec timestamp: '7/18/2012 18:34'.
		spec project: 'ConfigurationOfRoassal' with: '1.45'.
		spec package: 'VisuAule' with: 'VisuAule-CamiloGomez.14'. ].
! !

!ConfigurationOfVisuAule methodsFor: 'versions' stamp: 'CamiloGomez 7/20/2012 17:55'!
version09: spec
	<version: '0.9' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.8 : fixed display of otherElements
0.81 : fixed some troubles with OrdCollection'.
		spec author: 'CamiloGomez'.
		spec timestamp: '7/20/2012 17:55'.
		spec project: 'ConfigurationOfRoassal' with: '1.45'.
		spec package: 'VisuAule' with: 'VisuAule-CamiloGomez.15'. ].
! !
